http_put_file
http_request_body_encode
HTTP Fonctions
PHP Manual

# http_put_stream

(PECL pecl_http >= 0.10.0)

http_put_stream — Effectue une requête PUT avec un flux

### Description

string http_put_stream ( string `$url` [, resource `$stream` [, array `$options` [, array `&$info` ]]] )

Effectue une requête HTTP PUT sur l'URL fournie.

Voir la liste complète des options de demande.

### Liste de paramètres

`url`

  URL

`stream`

  le flux à lire pour le corps de la requête PUT

`options`

  options de demande

`info`

  information de demande/réponse

### Valeurs de retour

Retourne la(les) réponse(s) HTTP sous la forme d'une chaîne de caractères en cas de succès, ou `FALSE` si une erreur survient.

http_put_file
http_request_body_encode
HTTP Fonctions
PHP Manual